/*

  Nokia 5110 LCD Display

  Parts required:
  - Arduino Board
  - Nokia 5110 LCD Display
  - Resistors 4 x 10K, 1 x 1K, 1 x 330Ohm
  - Potentiometer 10K

  Libraries required:
  - PCD8544 by Carlos Rodrigues version 1.4.3

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 07 Sep 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include <PCD8544.h>                  // include PCD8544.h library

static PCD8544 lcd;                   // create object from PCD8544 to lcd

void setup() {
  lcd.begin(84, 48);                  // Start Nokia 5110 display with 84 x 48 pixels
}


void loop() {
  lcd.setCursor(0, 3);                // set cursor position to 0 position and line 3
  lcd.print("ARDUINOTECH.DK");        // print text
  lcd.setCursor(12, 0);               // set cursor position to 12 position and line 0
  lcd.print("NOKIA 5110");            // print text
  lcd.setCursor(20, 1);               // set cursor position to 20 position and line 1
  lcd.print("DISPLAY");               // print text
}
